// INProp.cpp : implementation file
//

#include "stdafx.h"
#include "TWViewer.h"
#include "INProp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CINProp dialog


CINProp::CINProp(CWnd* pParent /*=NULL*/)
	: CDialog(CINProp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CINProp)
	m_prate = 0;
	m_fitrate = 0;
	m_mode = -1;
	m_nbsom = _T("");
	//}}AFX_DATA_INIT
}


void CINProp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CINProp)
	DDX_Slider(pDX, IDC_POLYRATE, m_prate);
	DDX_Slider(pDX, IDC_FITRATE, m_fitrate);
	DDX_Radio(pDX, IDC_DOTMODE, m_mode);
	DDX_Text(pDX, IDC_NBSOM, m_nbsom);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CINProp, CDialog)
	//{{AFX_MSG_MAP(CINProp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CINProp message handlers

BOOL CINProp::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CSliderCtrl * s=(CSliderCtrl*)GetDlgItem(IDC_FITRATE);
	s->SetRange(0,100);
	
	s=(CSliderCtrl*)GetDlgItem(IDC_POLYRATE);
	s->SetRange(0,100);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
