// JpegDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TWViewer.h"
#include "JpegDlg.h"

#include <twstring.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CJpegDlg dialog


CJpegDlg::CJpegDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CJpegDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CJpegDlg)
	m_pixrgb = -1;
	//}}AFX_DATA_INIT
}


void CJpegDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CJpegDlg)
	DDX_Control(pDX, IDC_QUANT, m_quantctrl);
	DDX_Control(pDX, IDC_QUANTLABEL, m_quantlab);
	DDX_Radio(pDX, IDC_PIXELF, m_pixrgb);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CJpegDlg, CDialog)
	//{{AFX_MSG_MAP(CJpegDlg)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_QUANT, OnReleasedcaptureQuant)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CJpegDlg message handlers

void CJpegDlg::OnReleasedcaptureQuant(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	if((m_hWnd)&&(m_quantctrl.IsWindowVisible()))
	{
		m_quant=m_quantctrl.GetPos();
		TWSTRING str;
		str.FromInt(m_quant);
		str="Quantizer: "+str;
		m_quantlab.SetWindowText(str);
	}
	*pResult = 0;
}

BOOL CJpegDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_quantctrl.SetRange(1,30);
	m_quant=1;
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
